%Berechnung von Beispiel 14.4-1,2
%bsp_14_4_1und2_m.m, bsp_14_4_1und2.mdl
%Untersuchung der Ruhelagen von
%linearen Systemen  II. Ordnung
%Unterprogramm zzz fr Nebenrechnungen

%Beispiel 14.4-1
%Nullstellen mit positivem Realteil,
%Nullstellen konjugiert komplex
%System instabil

figure(1)

u = 0;
s1r = 0; s1i = 2; s2r = 0; s2i = -2;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title ('Grenzzyklen in der Phasenebene')
x20 = 0;
for x10=0.25:0.25:1.0
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
end

figure (2)

%Nullstellen mit negativem Realteil,
%System stabil
s1r = -2; s1i = 0; s2r = -1; s2i = 0;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Knotenpunkt (stabil), s_1 = -2, s_2 = -1')
for x20=-2:4:2
   for x10=-1.5:0.5:1.5
      sim ('bsp_14_4_1und2') 
      plot(x1, x2,'-')
   end   
end
x20 = 2.0;
for x10=-2:0.2:-1
   sim ('bsp_14_4_1und2') 
   plot(x1, x2,'-')
end  
x20 = -2.0;
for x10=1:0.2:2
   sim ('bsp_14_4_1und2') 
   plot(x1, x2,'-')
end  

figure (3)
%Nullstellen mit negativem Realteil,
%Nullstellen konjugiert komplex
%System stabil
s1r = -1; s1i = 2; s2r = -1; s2i = -2;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Strudelpunkt (stabil); s_1 = -1 + j2, s_2 = -1 - j2')
grid on
x20=-2;
for x10=-1.5:0.5:0
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
end   
x20=2;
for x10=0:0.5:1.5
      sim ('bsp_14_4_1und2')
      plot(x1, x2,'-')
end   

figure (4)
%Nullstellen mit negativem, positivem Realteil,
%System instabil
s1r = -1; s1i = 0; s2r = 0; s2i = 0;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Ruhelage (grenzstabil), s_1 = -1, s_2 = 0')
for x20=-2:4:2
   for x10=-5:0.5:5
      sim ('bsp_14_4_1und2')
      plot(x1, x2,'-')
   end   
end

figure (5)

s1r = 0; s1i = 1; s2r = 0; s2i = -1;
%Nullstellen mit positivem Realteil,
%Nullstellen konjugiert komplex
%System instabil
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Wirbelpunkt (grenzstabil), s_1 = j, s_2 = -j')
x20 = 0;
for x10=0.25:0.25:1.5
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
end

figure (6)
%Nullstellen mit positivem Realteil,
%System instabil
s1r = 0; s1i = 0; s2r = 0; s2i = 0;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Ruhelage (instabil), s_1 = 0, s_2 = 0')
for x20 = -2:0.5:2 
   for x10=-2:4:2
      sim ('bsp_14_4_1und2')
      plot(x1, x2,'-')
   end
end

figure (7)
%Nullstellen mit positivem Realteil,
%Nullstellen konjugiert komplex
%System instabil
s1r = 1; s1i = 2; s2r = 1; s2i = -2;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Strudelpunkt (instabil), s_1 = 1 + j2, s_2 = 1 - j2')

x20=0;
for x10=-0.024:0.008:0.022
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
end   

figure (8)
%Nullstellen mit positivem Realteil,
%System instabil
s1r = 1; s1i = 0; s2r = 2; s2i = 0;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Knotenpunkt (instabil), s_1 = 1, s_2 = 2')
for i = 0:1:5
   x10 = i*i*0.0375 + 0.00001;
   x20 = i*i*0.04   + 0.00002;
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
   x10 = -i*i*0.0375 - 0.00001;
   x20 = -i*i*0.04   - 0.00002;
   sim ('bsp4_1_2')
   plot(x1, x2,'-')
end
for i =  0:2:12
   x10 = i*0.04   +0.00011;
   x20 = i*0.0375 +0.00011;
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
   x10 = -i*0.04    - 0.00011;
   x20 = -i*0.0375  - 0.00011;
   sim ('bsp_14_4_1und2.mdl')
   plot(x1, x2,'-')
end

figure (9)
%Nullstellen mit negativem, positivem Realteil,
%System instabil
s1r = -2; s1i = 0; s2r = 1; s2i = 0;
[a0, a1] = zzz(s1r, s1i, s2r, s2i);
title  ('Sattelpunkt (instabil), s_1 = -2, s_2 = 1')
for x10=-2:0.25:0.75
   x20 = 2;
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
end   
for x10=-0.75:0.25:2
   x20 = -2;
   sim ('bsp_14_4_1und2')
   plot(x1, x2,'-')
end 
x10 = 0.001; x20 = 0.001;
sim ('bsp_14_4_1und2')
plot(x1, x2,'-')
x10 = -0.001; x20 = -0.001;
sim ('bsp_14_4_1und2')
plot(x1, x2,'-')
