%MATLAB Script-File dregel1_167.m
%Einheits-Sprungantwortfunktionen eines Regelkreises
KR=2.676;KS=2;TS1=1;TS2=10;      %Parameter P-Regler, Strecke
T=0.01;                          %Abtastzeit
numGS=KS; denGS=[TS1*TS2 TS1+TS2 1];%Z(s) u. N(s) Strecke
GS=tf(numGS,denGS);					%GS(s)
for i=1:4                        %4 Sprungantworten
  subplot(220+i)                 %in 4 Teilbildern
    if i==2 T=0.545; end         %Abtastzeit T
    if i==3 T=1; end             %erhhte Abtastzeit
    if i==4 KR=1.68; end         %KR verringern
  dGS=c2d(GS,T); 						%GS(z) fr
                                 %Halteglied nullter Ord.
  l=length([0:T:20]);            %Anzahl Elemente Zeitvektor
  dG=feedback(KR*dGS,1); 			%G(z)
  vw=(1+2*KR)/(2*KR);            %Vorfilter
  [dg,dT]=step(vw*dG,l);    		%diskrete Sprungantwort
    if i==1 plot(dT,dg), end
    if i>1  plot(dT,dg,'o',dT,dg,'-'), end

  axis([0 20 0 1.2]);            %Skalierung
  grid                           %kartesische Gitterlinien
  Maximalwert(i)=max(dg);        %Maximalwert von dg
end
fprintf('Maximalwert(1)=%8.3f \n',Maximalwert(1))
fprintf('Maximalwert(2)=%8.3f \n',Maximalwert(2))
fprintf('Maximalwert(3)=%8.3f \n',Maximalwert(3))
fprintf('Maximalwert(4)=%8.3f \n',Maximalwert(4))